<script setup lang="ts">
import SideBarBottom from '@/components/sidebar/SideBarBottom.vue';
import SideBarCenter from '@/components/sidebar/SideBarCenter.vue';
import SideBarTop from '@/components/sidebar/SideBarTop.vue';
import { cn } from '@/lib/utils';
import { useUiSidebarStore } from '@/stores/ui/sidebar';

const store = useUiSidebarStore();
</script>

<template>
  <aside
    :class="
      cn(
        'flex flex-col justify-between min-h-full p-[40px] transition-all w-full bg-sidebar max-sm:hidden',
        store.isOpen ? 'max-w-sidebar-lg' : 'max-w-sidebar-md px-[10px]',
      )
    "
  >
    <SideBarTop />
    <SideBarCenter />
    <SideBarBottom />
  </aside>
</template>
